Summary: Device driver for i810 GTT for 2.x kernels
Name: I810Gtt
Version: 0.1
Release: 6
Source: I810Gtt.tar.gz
License: XFree86 License
Group: Drivers
 
%description

This package installs the i810 gtt device driver to allow access to
the i810 graphics memory management hardware.  It has been tested on
2.2 kernels and sets the MTRR settings correctly.  It should also work
with 2.0 kernels, but has not been tested there.

%prep
%setup -c

%build
make OPT_CFLAGS="$RPM_OPT_FLAGS"

%install
make RPM_INSTALL="1" install | grep '^/lib/modules/' > modules-file-list
echo /usr/local/include/agpgart.h >> modules-file-list

%post
if [ "$1" = 1 ]; then
	if [ -e /etc/conf.modules ]; then
		mconf="/etc/conf.modules"
	else
		mconf="/etc/modules.conf"
	fi	
	grep -v agpgart $mconf > /etc/conf.modules.tmp
	echo alias char-major-10-175 agpgart >> /etc/conf.modules.tmp
	mv /etc/conf.modules.tmp $mconf
fi
/sbin/depmod -a

%postun
if [ "$1" = 0 ]; then
	if [ -e /etc/conf.modules ]; then
		mconf="/etc/conf.modules"
	else
		mconf="/etc/modules.conf"
	fi
	grep -v gart $mconf > /etc/conf.modules.tmp
	mv /etc/conf.modules.tmp $mconf
fi
/sbin/depmod -a

%verifyscript
if [ -e /etc/conf.modules ]; then
	mconf="/etc/conf.modules"
else
	mconf="/etc/modules.conf"
fi	
inconf=`grep 'alias char-major-10-175 agpgart' $mconf`
if [ "x$inconf" = "x" ]; then
	echo "agpgart entry not included in $mconf"
fi

%files -f modules-file-list

%verify(not mode user group) /dev/agpgart

